<div id="edit-password" v-cloak>
  <account-notification-banner></account-notification-banner>
  <div class="container pt-5 pb-5">
    <h1>Cambiar contraseña</h1>
    <hr/>
    <ajax-form action="updatePassword" :syncing.sync="syncing" :cloud-error.sync="cloudError" :form-data="formData" :form-rules="formRules" :form-errors.sync="formErrors" @submitted="submittedForm()">
      <div class="row">
        <div class="col-sm-6">
          <div class="form-group">
            <label for="password">Nueva contraseña</label>
            <input class="form-control" id="password" name="password" type="password"  :class="[formErrors.password ? 'is-invalid' : '']" v-model.trim="formData.password" placeholder="••••••••" autocomplete="new-password" focus-first>
            <div class="invalid-feedback" v-if="formErrors.password">Por favor ingrese su contraseña o presione "Cancelar".</div>
          </div>
        </div>
        <div class="col-sm-6">
          <div class="form-group">
            <label for="confirm-password">Confirmar contraseña</label>
            <input class="form-control" id="confirm-password" name="confirm-password" type="password"  :class="[formErrors.confirmPassword ? 'is-invalid' : '']" v-model.trim="formData.confirmPassword" autocomplete="new-password" placeholder="••••••••">
            <div class="invalid-feedback" v-if="formErrors.confirmPassword">Tu nueva contraseña y confirmación no coinciden.</div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <cloud-error v-if="cloudError"></cloud-error>
        </div>
        <div class="col-sm-6">
          <div class="form-group text-right">
            <a class="btn btn-outline-info" href="/account">Cancelar</a>
            <ajax-button type="submit" :syncing="syncing" class="btn btn-dark">Guardar cambios</ajax-button>
          </div>
        </div>
      </div>
    </ajax-form>
  </div>
</div>
<%- /* Expose locals as `window.SAILS_LOCALS` :: */ exposeLocalsToBrowser() %>
